Subject: g98 linux installation summary

From: "Donald Keidel" <[email-masked]>
Date: Wed, 30 Jan 2002 11:37:05 -0000

Hello CCL members,

I have received many e-mails from the group regarding the installation =
of g98 for linux 7.x.  I wanted to first thank all of you for the =
responses and the time you invested.  I have attached two files.  One is =
a summary of e-mails I received from the group and the other is =
installation instructions that I wrote from these e-mails in summary =
format.  I hope this is the proper way to summarize responses and I hope =
it is helpful.  Take care.

Don
---------------------------------------------------
Donald J. Keidel
University of California, Riverside
Department of Biochemistry and Molecular Biology
Riverside, CA 92521
phone:  (909) 787-5493
fax:  (909) 787-4434
[email-masked]
webpage: www.biochemistry.ucr.edu/gru/gradstudents/don_keidel/index.htm

===============================================================================
[The MS-WORD attachments were converted to plain text by Jan Labanowski]
===============================================================================

[ ========= Instructions summary =============== ]

Installation Instructions for Gaussian 98 on a RedHat 7.x machine

Written by:  Don Keidel

1.Obtain the gaussian 98 binaries (these are precompiled so no compilation
  necessary)

2.Move this LI6-610N.tar file into the /usr/local/ directory

3.untar it by typing: tar -xvf  LI6-610N.tar  This will create a g98
  subdirectory tree with the program.  

4.You will then need to change the file permissions:
$ cd /usr/local/g98
$ chmod -R o+r *
$ chmod o+x bsd/set-mflags
$ cd /usr/local
$ chmod -R a+rx g98 (the -R is recursive so it will extend down into all
   subdirectories)

5.Isolate version of g98 with a symbolic link
$ cd /usr/local
$ mv g98 g98A7 (or appropriate version)
$ ln -s g98A7 g98
$ exit

6.Setup user account the following way:
$ cd ~
$ mkdir g98
$ cd g98
$ vi g98setup
i (to enter insert mode)
setenv g98root /usr/local
setenv GAUSS_SCRDIR /usr/tmp
source $g98root/g98/bsd/g98.login
<Esc>:wq (to quit and save)
$ /bin/csh (if not already in csh or tcsh)
$ source g98setup
$ cp -p /usr/local/g98/tests/com/test001.com test001.com

7.For each user account it is best to place the following line in
  the .cshrc file
a.setenv g98root /usr/local
b.setenv GAUSS_SCRDIR /usr/tmp
c.source $g98root/g98/bsd/g98.login
But I placed it in a .login file I created.  Then then type the command g981 (an alias I set up to source the .login file).  I get the error message:  PGI: Undefined variable.  I ignored this until I can find a way to resolve it.

8.Setup a user group called g98 that contains users that will use gaussian 98
a.Create group called g98
b.Become super user
c.Type:  chown -R root:g98 /usr/local/g98

9.Now try to run a test job from any user account in group g98
a.To do this copy one of the test files from /usr/local/g98/tests/com/ to
    the users home directory
b.Then type: g98 test001.com
c.Gaussian 98 will generate a test001.log file indicating that the program is running correctly

[ ========= Archived Messages and Responses from CCL  =============== ]

Summary of Gaussian 98 Installation CCL e-mails

Hi, 

the instructions at 

http://www.webmo.net/support/index.html

are rather good. However, installing g98 on linux can become a
nightmare. You should consider getting the executables from Gaussian. 

Regards, 

Chris

> Donald Keidel wrote:
> 
> Hello all,
> 
> Does anyone know of a good set of notes on the web or personal that
> describes how to install gaussian 98 on a linux machine (i am running
> redHat 7.2).  Thank you in advance for the help.
> 
> Don
> ---------------------------------------------------
> Donald J. Keidel
> University of California, Riverside
> Department of Biochemistry and Molecular Biology
> Riverside, CA 92521
> phone:  (909) 787-5493
> fax:  (909) 787-4434
> [email-masked]
> webpage:
> www.biochemistry.ucr.edu/gru/gradstudents/don_keidel/index.htm

-- 
Dr. C. Klein; cklein(at)pharma.ethz.ch
Dept. of Applied Biosciences, Pharmaceutical Chemistry
Swiss Federal Institute of Technology / ETH Zuerich
Winterthurerstr. 190
CH-8057 Zuerich
Phone: +41 1 6356062
FAX  : +41 1 6356884

Hi Donald,
try this page: http://www.webmo.net/support/g98_linux.html
I hope it helps.

Stan

--
Stanislav Ivan
Institut für Organische Chemie
St. Johanns Ring 19
4056 Basel
Switzerland

Tel.: (+41) (61) 267 11 44
E-mail: [email-masked]

Hello Donald,

Here is a site that I have got via the CCL list.

http://www.webmo.net/support/g98_linux.html

The site decribes the installation very precise.

/peter

Hello all,
 
Does anyone know of a good set of notes on the web or personal that describes how to install gaussian 98 on a linux machine (i am running redHat 7.2).  Thank you in advance for the help.
 
Don
---------------------------------------------------
Donald J. Keidel
University of California, Riverside
Department of Biochemistry and Molecular Biology
Riverside, CA 92521
phone:  (909) 787-5493
fax:  (909) 787-4434
[email-masked]
webpage: www.biochemistry.ucr.edu/gru/gradstudents/don_keidel/index.htm

Dear Donald,

   I am really interested in all answers you may receive. Could please you
forward them to me or send them to the
CCL list?

   Thanks in advance,

    My best regards,
    Luis Antonio.

  ...........

Don 
        Look at: http://www.webmo.net/support/g98_linux.html 
        Regards 
                    Bosco 
-- 
Prof. João Bosco Paraiso da Silva 
e-mail: [email-masked] 
Bosco´s Homepage: www.dqf.ufpe.br/Professores/Bosco/Bosco.html 
Departamento de Química Fundamental 
Universidade Federal de Pernambuco 
50740.250 - Recife (PE) - Brazil 
DQF´s Homepage: www.dqf.ufpe.br 
Phone: +55 81 3271-8441 ext. 5009 
Fax:     +55 81 271-8442 
  
============================================
Dr. Keidel,

   According to our records UC Riverside has a binary license for
Linux.  Thus the program is ready to run.  Decide where you wish
to install the program, i.e. /usr/local, and then

cd /usr/local
tar xvf /cdrom/TAR/*

which will create a g98 subdirectory tree with the program.  Then
setup each user's account to run the program by adding the lines

setenv g98root /usr/local
source $g98root/g98/bsd/g98.login
setenv GAUSS_SCRDIR /usr/tmp

to the .cshrc file.  You can also issue them from the command prompt,
in the C shell, and try

g98

and you should get a prompt

Entering Gaussian System, Link 0=g98

at which point you could either type a short input, end with Ctrl-D,
or stop with Ctrl-C and move to running some of the test input files
given in g98/tests/com.

   This information is also discussed in Chapter 6 of the G98 User's
Reference and setting up user accounts is in Chapter 2.

   If you have errors or further questions you can send them via
E-mail to [email-masked].

-- 

  Douglas J. Fox
  Director of Technical Support
  [email-masked]

Don:
  Good question.  I am slightly ahead of you.  I know how not
to install G98 on a Dell Pentium that came with Linux 7.1 pre-
installed.  I did what the instructions said, and it doesn't
work.  I've written Gaussian, but didn't get an answer yet.
  Basically I'm not very good at Linux or Unix.  I had a student
who was a wiz and helped me install and compile the Fortran code
for G94 on several platforms.  Over the years he helped me install
G98 on three Dell Pentiums.  I have his notes on both proceedures,
but can't get anything to work.  So I will keep looking for what
kind of response your question generates.
  Regards, Dave Close.

At 03:36 AM 1/23/02, Donald Keidel <[email-masked]> wrote:
>Does anyone know of a good set of notes on the web or personal that 
>describes how to install gaussian 98 on a linux machine (i am running 
>redHat 7.2).  Thank you in advance for the help.

We have published some notes on the web on how to compile Gaussian 98 on 
Linux 7.2.  The relevant documents are:
   * Portland Group F77 compiler installation instructions for Linux
         http://www.webmo.net/support/pgf77.html
   * Gaussian 98 installation instructions for Linux
         http://www.webmo.net/support/g98_linux.html

Some additional comments follow:

If you have Gaussian 98 (or Gaussian 94, for that matter) binaries that 
were compiled on RH Linux 6.2, they will run on a RH Linux 7.2 system if 
they are simply copied over to the newer system.

 From my experience, earlier revisions of  Gaussian 98, i.e., pre-Rev.7, 
compiles "out-of-the-box" only on RH Linux 6.2, but not on RH Linux 
7.2.  According to the gaussian web site 
(http://www.gaussian.com/g98_req.htm), newer revisions of Gaussian 98, 
i.e., Rev. 11 and later, supposedly compile out-of-the-box on RH Linux 7.2 
and presumably also on 6.2.

However, we have verified that one can compile earlier revisions of 
Gaussian 98 on Linux 7.2 simply by updating two files (mdutil.c and 
i386.make), as described in the above documents.

Be aware that in order to compile Gaussian 98 on Linux, you must first 
purchase and install the Portland Group F77 compiler 
(http://www.pgroup.com/).  Also, it is recommended that you obtain the free 
optimized BLAS library (lsblaspii1.2f_03.00.a) and blas-f2c library 
(blas-f2c_rh6.a or blas-f2c_rh7.a), as described in the above documents.

Once you meet the above requirements, you can compile Gaussian 98 by 
following the step-by-step instructions in the above documents.

I have heard that some people have had success compiling Gaussian 98 using 
compilers other than the Portland Group compiler; however, I have not been 
able to replicate their success.  I would be interested in hearing from 
people who have had success using other compilers, e.g., g77 or Intel, to 
compile Gaussian 98 on a Linux system.

Will Polik
[email-masked]

>Be aware that in order to compile Gaussian 98 on Linux, you must first 
>purchase and install the Portland Group F77 compiler 
>(http://www.pgroup.com/).  Also, it is recommended that you obtain the
free 
>optimized BLAS library (lsblaspii1.2f_03.00.a) and blas-f2c library 
>(blas-f2c_rh6.a or blas-f2c_rh7.a), as described in the above
documents.

I would add that you may wish to take advantage of ATLAS generated BLAS
files specifically for your hardware rather than using the pregenerated
BLAS files (which have been optimized for Intel cpus only):

http://math-atlas.sourceforge.net/

You can use the same PG compiler to compile ATLAS BLAS that you use for
compiling your G98 source code.

Regards,

Phil Matz

===========================

We have published some notes on the web on how to compile Gaussian 98 on

Linux 7.2.  The relevant documents are:
   * Portland Group F77 compiler installation instructions for Linux
         http://www.webmo.net/support/pgf77.html
   * Gaussian 98 installation instructions for Linux
         http://www.webmo.net/support/g98_linux.html

Some additional comments follow:

If you have Gaussian 98 (or Gaussian 94, for that matter) binaries that 
were compiled on RH Linux 6.2, they will run on a RH Linux 7.2 system if

they are simply copied over to the newer system.

 From my experience, earlier revisions of  Gaussian 98, i.e., pre-Rev.7,

compiles "out-of-the-box" only on RH Linux 6.2, but not on RH Linux 
7.2.  According to the gaussian web site 
(http://www.gaussian.com/g98_req.htm), newer revisions of Gaussian 98, 
i.e., Rev. 11 and later, supposedly compile out-of-the-box on RH Linux
7.2 
and presumably also on 6.2.

However, we have verified that one can compile earlier revisions of 
Gaussian 98 on Linux 7.2 simply by updating two files (mdutil.c and 
i386.make), as described in the above documents.

Be aware that in order to compile Gaussian 98 on Linux, you must first 
purchase and install the Portland Group F77 compiler 
(http://www.pgroup.com/).  Also, it is recommended that you obtain the
free 
optimized BLAS library (lsblaspii1.2f_03.00.a) and blas-f2c library 
(blas-f2c_rh6.a or blas-f2c_rh7.a), as described in the above documents.

Once you meet the above requirements, you can compile Gaussian 98 by 
following the step-by-step instructions in the above documents.

I have heard that some people have had success compiling Gaussian 98
using 
compilers other than the Portland Group compiler; however, I have not
been 
able to replicate their success.  I would be interested in hearing from 
people who have had success using other compilers, e.g., g77 or Intel,
to 
compile Gaussian 98 on a Linux system.

Will Polik
[email-masked]

I don't know if this is detailed enough for you, but you might find http://www.webmo.net/support/g98_linux.html helpful. 
=================================

On Thursday 24 January 2002 18:26, Phillip Matz wrote:
> >Be aware that in order to compile Gaussian 98 on Linux, you must first
> >purchase and install the Portland Group F77 compiler
> >(http://www.pgroup.com/).  Also, it is recommended that you obtain the
>
> free
>
> >optimized BLAS library (lsblaspii1.2f_03.00.a) and blas-f2c library
> >(blas-f2c_rh6.a or blas-f2c_rh7.a), as described in the above
>
> documents.
>
> I would add that you may wish to take advantage of ATLAS generated BLAS
> files specifically for your hardware rather than using the pregenerated
> BLAS files (which have been optimized for Intel cpus only):
>
> http://math-atlas.sourceforge.net/
>
> You can use the same PG compiler to compile ATLAS BLAS that you use for
> compiling your G98 source code.
>
> Regards,
>
> Phil Matz
>

But as far as I know the readme of ATLAS sugguest not to compile it with PGCC 
since it is supposed to give poorer results than with gcc (at least this was 
suggested about 7 month ago). Furthermore you need not to have PGCC when you 
have pgf77.

Bernd

>But as far as I know the readme of ATLAS sugguest not to compile it
with PGCC 
>since it is supposed to give poorer results than with gcc (at least
this was 
>suggested about 7 month ago). Furthermore you need not to have PGCC
when you 
>have pgf77.

>Bernd

That is 100% correct.  You also do not need PGCC to compile G98, only
need pgf77.  For ATLAS you compile with gcc and pgf77 (which is how g98
compiles as well), hence my statement that you can compile your ATLAS
BLAS with the same PG compiler that you use to compile your G98 source
code (namely pgf77).

I should also mention that G98 A.11 ships with ATLAS on the CD (at least
mine came that way) so I don't think it is considered "evil" anymore to
use the ATLAS generated BLAS routines with your G98 code.  I use the
term "evil" tongue-in-cheek of course (not meant to offend anyone) and
of course you should ask Gaussian, Inc. for their official stance on
this subject.  The "don't tell anyone how you edited your i386.make
file" debate is still fresh in my memory and I'd rather not step on
toes...

Regards,

Phil Matz

-----Original Message-----
From: Computational Chemistry List [mailto:[email-masked]] On
Behalf Of Bernd Schubert
Sent: Thursday, January 24, 2002 10:25 AM
To: [email-masked]
Subject: CCL:g98: installation linux

On Thursday 24 January 2002 18:26, Phillip Matz wrote:
> >Be aware that in order to compile Gaussian 98 on Linux, you must 
> >first purchase and install the Portland Group F77 compiler 
> >(http://www.pgroup.com/).  Also, it is recommended that you obtain 
> >the
>
> free
>
> >optimized BLAS library (lsblaspii1.2f_03.00.a) and blas-f2c library 
> >(blas-f2c_rh6.a or blas-f2c_rh7.a), as described in the above
>
> documents.
>
> I would add that you may wish to take advantage of ATLAS generated 
> BLAS files specifically for your hardware rather than using the 
> pregenerated BLAS files (which have been optimized for Intel cpus 
> only):
>
> http://math-atlas.sourceforge.net/
>
> You can use the same PG compiler to compile ATLAS BLAS that you use 
> for compiling your G98 source code.
>
> Regards,
>
> Phil Matz
>

But as far as I know the readme of ATLAS sugguest not to compile it with
PGCC 
since it is supposed to give poorer results than with gcc (at least this
was 
suggested about 7 month ago). Furthermore you need not to have PGCC when
you 
have pgf77.

Bernd
=============================================

Dr. Keidel,

   Yes, ownership and protections are likely the problem.  Normally
tar should have changed this to the user unpacking the tar file.

   In any case you can go back on as root and make them read/execute
by all users with 

cd /usr/local
chmod -R a+rx g98

where -R will do this recursively down the full tree.

> 
> Hi,
> 
> Thank you for your response and help.  I untarred as su logged in as a user.
> So effectively I was root when I untarred.  I then open a terminal window
> and typed the setenv, source and the other setenv when logged in as a user.
> I got the error message: /usr/local/g98/bsd/g98.login: Permission denied.
> Why do you think I am getting this error?  I noticed that all the
> permissions were 350:302 by default.  Should these be chaged to root:root or
> root:(my gaussian 98 group)?  Thank you very much in advance.
> 
> Don
> ---------------------------------------------------
> Donald J. Keidel
> University of California, Riverside
> Department of Biochemistry and Molecular Biology
> Riverside, CA 92521
> phone:  (909) 787-5493
> fax:  (909) 787-4434
> [email-masked]
> webpage: www.biochemistry.ucr.edu/gru/gradstudents/don_keidel/index.htm
> 
> ----- Original Message -----
> From: "Doug Fox" <[email-masked]>
> To: "Donald Keidel" <[email-masked]>
> Sent: Thursday, January 24, 2002 4:21 PM
> Subject: Re: CCL:g98: installation linux
> 
> 
> >
> >   Dr. Keidel,
> >
> >    According to our records UC Riverside has a binary license for
> > Linux.  Thus the program is ready to run.  Decide where you wish
> > to install the program, i.e. /usr/local, and then
> >
> > cd /usr/local
> > tar xvf /cdrom/TAR/*
> >
> > which will create a g98 subdirectory tree with the program.  Then
> > setup each user's account to run the program by adding the lines
> >
> > setenv g98root /usr/local
> > source $g98root/g98/bsd/g98.login
> > setenv GAUSS_SCRDIR /usr/tmp
> >
> > to the .cshrc file.  You can also issue them from the command prompt,
> > in the C shell, and try
> >
> > g98
> >
> > and you should get a prompt
> >
> > Entering Gaussian System, Link 0=g98
> >
> > at which point you could either type a short input, end with Ctrl-D,
> > or stop with Ctrl-C and move to running some of the test input files
> > given in g98/tests/com.
> >
> >    This information is also discussed in Chapter 6 of the G98 User's
> > Reference and setting up user accounts is in Chapter 2.
> >
> >    If you have errors or further questions you can send them via
> > E-mail to [email-masked].
> >
> >
> > >
> > > Does anyone know of a good set of notes on the web or personal that =
=======================

-- 

  Douglas J. Fox
  Technical Support
  Gaussian, Inc.
  [email-masked]

setenv PGI /usr/local/PGI (or wherever you installed it)
and then 
setenv PATH "$PATH":$PGI/linux86/bin

Groeten, David.
________________________________________________________________________
Dr. David van der Spoel, Biomedical center, Dept. of Biochemistry
Husargatan 3, Box 576,  75123 Uppsala, Sweden
phone: 46 18 471 4205 fax: 46 18 511 755
[email-masked] [email-masked]   http://zorn.bmc.uu.se/~spoel
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Hi Don,
> 
> I am getting the error:  PGI: Undefined variable.  Does anyone know what =
> that means?  I want to thank everyone for all there help on my =
> installation problems.  Thanks again in advance and have a good day.

I think the problem is that g98.login assumes that the PGI compiler is present
and the variable $PGI contains the path to it, although it is not needed
for running Gaussian.  You can get around this by setting the PGI variable 
explicitly. I did that by adding in the csh script I use to run gaussian, the 
line:

setenv PGI DUMMY

Hope that helps,

Tanja

The PGI error can have different sources: the path might not be set
correctly or the PGI is not started after reboot. There is  start and stop
command described in the installation instructions. If you can't find it,
I can look it up for you on Monday.
Regards,
Ulrike Salzner

===================================================================

Dr. Ulrike Salzner
Associate Professor
Department of Chemistry Tel.: (312) 290-2122
Bilkent University Fax.: (312) 266-5097
06533 Bilkent, Ankara e-mail: [email-masked]
Turkey

====================================================================

I dont know what exactly does it mean but PGI is a fortran compiler. I had 
the same error message installing g98 on my linux mashine.
I hashed few lines in g98/bsd/g98.login file and it worked. 
I send you my g98.login file so you can compare.

Best regards,
Maciej Haranczyk

-- 
-------------------------
Maciek Haranczyk
[email-masked]
-------------------------

#!/bin/csh -fx
# These commands set up for use of Gaussian 98.  They should be source'd
# into each Gaussian 98 user's .login file, after setting the following
# environment variable:
#
# g98root -- Directory which contains the g98 main directory.  Defaults
#            to users's home directory if not defined before entry.
#
# Top directories for the program:
#
#if ($?g98root) then
  set gr="/appl"
#else
#  set gr="$HOME"
#  endif
setenv GAUSS_EXEDIR "$gr/g98/bsd:$gr/g98/local:$gr/g98/extras:$gr/g98"
setenv GAUSS_ARCHDIR "$gr/g98/arch"
setenv GV_DIR "$gr/gv"
alias gv '$GV_DIR/gv'
if ($?PATH) then
  setenv PATH "${PATH}:$GAUSS_EXEDIR"
else
  setenv PATH "$GAUSS_EXEDIR"
  endif
rehash
setenv _RLD_ARGS "-log /dev/null"
if ($?LD_LIBRARY_PATH) then
  setenv LD_LIBRARY_PATH "${GAUSS_EXEDIR}:${GV_DIR}/lib:${LD_LIBRARY_PATH}"
else
  setenv LD_LIBRARY_PATH "${GAUSS_EXEDIR}:${GV_DIR}/lib"
  endif
#
# Environment variables pointing to the standard directories.
#
setenv G98BASIS "$gr/g98/basis"
set gman="$gr/g98/bsd"
if ($?MANPATH) then
  setenv MANPATH "${gman}:$MANPATH"
  endif
alias sl "$gr/g98/tests/searchlog.csh"
#
# Set up for compiling and debugging of Gaussian 98:
#
set mname = "`set-mflags x`"
set mflags = "`set-mflags`"
alias mg "$mname -f bsd/g98.make $mflags"
if (-e $g98root/g98/bsd/setup-make) then
  source $g98root/g98/bsd/setup-make
  endif
  set x = "$gr/g98/tests/search.csh"
  endif
# Tell Linda to use PG Fortran if available under Linux
if (-x /usr/pgi/linux86/bin/pgf77) then
  setenv LINDA_FORTRAN pgf77
  setenv POSTFL_FORTRAN pgf77
  setenv LINDA_FORTRAN_LINK pgf77
  endif
# The following is needed for the NEC
setenv F_ERROPT1 271,271,2,1,2,2,2,2
# for sgi debugging
#setenv TRAP_FPE "DEBUG;OVERFL=ABORT;DIVZERO=ABORT;INVALID=ABORT;INT_OVERFL=ABORT"
setenv TRAP_FPE "OVERFL=ABORT;DIVZERO=ABORT;INT_OVERFL=ABORT"
setenv MP_STACK_OVERFLOW OFF
alias ss "$x log sgi"
alias si "$x log ibm"
unset gr
unset gman
unset x
gau-unlimit

--------------Boundary-00=_9UOJMZCZCCYC6ZEN396I-

set PGI environment variable to the location where you have the PGI 
stuff, usually, either /usr/pgi or /usr/local/pgi

+---------------------------------+----------------------------------+
| Prof. Christoph van Wüllen      | Tele-Phone (+49) (0)30 314 27870 |
| Technische Universität Sekr. C3 | Tele-Fax   (+49) (0)30 314 23727 |
| Straße des 17. Juni 135         | eMail                            |
| D-10623 Berlin, Germany         | [email-masked] |
+---------------------------------+----------------------------------+
--

Don,

At 08:18 AM 1/25/02, you wrote:
>I am getting the error:  PGI: Undefined variable.  Does anyone know what 
>that means?  I want to thank everyone for all there help on my 
>installation problems.  Thanks again in advance and have a good day.

Apparently you do not have your environmental variables setup 
correctly.  See step 4 of
      http://www.webmo.net/support/pgf77.html

Will

================================
Dr. William F. Polik
Professor of Chemistry

Department of Chemistry
Hope College
35 East 12th Street
Holland, MI  49422-9000
USA

[email-masked]
http://www.chem.hope.edu/~polik
tel: (616) 395-7639
fax: (616) 395-7118

On sabbatical leave 9/01-6/02:
University of California, San Diego
San Diego Supercomputer Center, MC 0505
9500 Gilman Drive
La Jolla, CA  92093-0505
tel: 858-822-3610
fax: 858-534-5113
================================